Bug 3943 - Foundation Taglib: Setting property that is currently null fails
Summary: Foundation Taglib: Setting property that is currently null fails
Status: CLOSED WONTFIX
Alias: None
Product: Taglibs
Classification: Unclassified
Component: Unknown Taglib (show other bugs)
Version: 1.0
Hardware: All All
: P3 major (vote)
Target Milestone: ---
Assignee: Tomcat Developers Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2001-10-03 08:38 UTC by Roy Porter
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roy Porter 2001-10-03 08:38:34 UTC
Using the set tag, if the property being set is currently null, then it fails 
to set it to the new value.

The code uses a getClass to get the class of the property being set to check it 
against the new value passed. It needs to use the property type contained in 
the ClassMethodCache instead.
Comment 1 Glenn Nielsen 2002-12-01 22:51:08 UTC
The Foundation taglib was never completed or released.  The goal of the
foundation taglib has been met by the JSTL Standard Taglib.
Foundation is being removed from CVS.